package com.palnet.board.app.jh.controller;


import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import lombok.extern.log4j.Log4j2;
import lombok.extern.slf4j.Slf4j;

@Controller
@RequestMapping("/view/jh/board")
@Slf4j
public class JunheeBoardController {
	
	@GetMapping("/")
	public String main() {
		return "main";
	}

	@GetMapping("/list")
	public String list() {
		log.info("list로 이동");
		
		return "/jh/board/list";
	}
	
	@GetMapping("/list/{pageNum}")
	public String list(@PathVariable String pageNum, Model model) {
		log.info("list로 이동");
		model.addAttribute("pageNum", pageNum);
		
		return "/jh/board/list";
	}
	
	@GetMapping("/detailView/{id}")
	public String detailView(@PathVariable String id, Model model) {
		log.info("detailView로 이동");
		model.addAttribute("id", id);
		
		return "/jh/board/detailView";
	}
	
	@GetMapping("/write")
	public String write() {
		log.info("글쓰기로 이동");
		return "jh/board/write";
	}
	
	@GetMapping("/modify/{id}")
	public String modify(@PathVariable String id, Model model) {
		log.info("modify로 이동");
		model.addAttribute("id", id);
		
		return "/jh/board/modify";
	}

}
