<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>	
<!doctype html>
<html lang="ko" xml:lang="ko">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>
    <!-- ajax/axios -->
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>
	<!-- moment/dayjs -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.3/moment.min.js"></script>
    <script src="https://unpkg.com/dayjs@1.8.21/dayjs.min.js"></script>
    
    <title>Write-팔네트웍스</title>
    <style>
    	.btn{display: inline-flex;flex-direction: row;justify-content: center;align-items: center;height: 35px;border: 1px solid #ddd;}
    </style>
</head>

<body>
 <div class="notice" id="boardBox">
		<div class="row">
			<div class="box">
				<span class="ti">글쓴이</span> 
				<span class="box-input"><input id="regUser" name="regUser" type="text" /></span>
				<input id="updUser" name="updUser" type="hidden"/>
			</div>
			<div class="box">
				<span class="ti">비밀번호</span> 
				<span class="box-input"><input id="password" name="password" type="password" /></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">번호</span>
				<span class="box-input"><input id="id" name="id" type="number" readonly/></span>
			</div>
			<div class="box">
				<span class="ti">작성일</span>
				<span class="box-input"><input id="regDtm" name="regDtm" type="text" readonly/></span>
				<input id="updDtm" name="updDtm" type="hidden"/>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="ti">제목</span>
				<span class="box-input"><input id="title" name="title" type="text" /></span>
			</div>
		</div>
		<div class="row">
			<div class="box">
				<span class="box-input box-textarea">
					<textarea id="content" name="content" placeholder="내용을 입력해주세요"></textarea>
				</span>
			</div>
		</div>
   
	    <div class="btn-box">
		  <a href="/view/jh/board/list/1" class="btn gray">목록</a>
	     <a class="btn black" id="save">저장</a>
	    </div>
 </div>
</body>
<script type="text/javascript">

	$(document).ready(function() {
		$('input[name=regDtm]').attr('value', dayjs().format('YYYY-MM-DD'))
	})
	
	/* 저장 버튼 클릭 */
	$(document).on("click", "#save", function() {
		checkAll();
		setBoard();
	})
	
	/* 유효성 검사 */
	function checkAll() {
		var boardBox = $('#boardBox');
		
		var regUser = boardBox.find('input#regUser').val();
		var password = boardBox.find('input[id="password"]').val();
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		
		if(!regUser) { 
			alert("작성자 명을 입력해주세요.")
			return;
		} else if(title == "") {
			alert("제목을 입력해주세요.")
			return;
		} else if(content == "") {
			alert("내용을 입력해주세요.")
			return;
		}
	}
	
	/* 글 저장 */
	function setBoard() {
		var boardBox = $('#boardBox');
		var id = 0;
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		var password = boardBox.find('input[id="password"]').val();
		var regUser = boardBox.find('input#regUser').val();
		var regDtm = boardBox.find('input[id="regDtm"]').val();
		
		var obj = {
				id: id,
				title: title,
				content: content,
				password: password,
				regUser: regUser,
				regDtm: regDtm,
		}
		
		$.ajax({
			url : "/api/jh/board/write",
			type : "POST",
			data : obj,
			dataType : 'JSON',
			success : function(data) {
				if(data == '1') {
					alert("작성성공")
					location.href="/view/jh/board/list/1"
				}
			}
		})
	}
	
	

</script>
</html>
