<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!doctype html>
<html lang="ko" xml:lang="ko">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>
    <style>
    	.btn{display: inline-flex;flex-direction: row;justify-content: center;align-items: center;height: 35px;border: 1px solid #ddd;}
    </style>

    <title>글 목록</title>
</head>

<body>
<div class="notice">
    <div class="table_header">
        <!-- <div class="">총 <span>0</span>건</div>-->
        <div class=""><input type="text" placeholder="검색어를 입력하세요"/></div>
    </div>
    <table id="boardTable">
        <thead>
        <tr>
            <th>번호</th>
            <th>제목</th>
            <th>작성일</th>
            <th>글쓴이</th>
        </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    <div class="page_list">
        <a href="#" class="pg_btn"><<</a>
        <a class="pg_btn"><</a>
        <a class="page_num">1</a>
        <a class="page_num">2</a>
        <a class="page_num">3</a>
        <a class="page_num">4</a>
        <a class="page_num">5</a>
        <a class="pg_btn">></a>
        <a class="pg_btn">>></a>
        
    </div>
    <div class = "btn">
    <a class = "btn" href="/view/jw/board/write">글쓰기</a>
</div>

<script>
    $(document).ready(function(){
        getBoardList();
    })
    function getBoardList(){
        $.get('/api/jw/board/list').done(function(res){
            console.log(res);
            renderBoardList(res);
        }).fail(function(e){
            console.log('error', e);
        })
    }
    function renderBoardList(boards){
        if(!boards) return;
        if(!(boards instanceof Array)) return;

        $.each(boards, function(i, board){
            console.log(i, board);
            var r = '';
            r += '<tr>';
            r += '<td>'+board.id+'</td>';
            r += '<td class="title">'+board.title+'</td>';
            r += '<td>'+board.regDtm+'</td>';
            r += '<td>'+board.regUser+'</td>';
            r += '</tr>';
            var $el = $(r);
            $el.find('.title').click(function(e){
                location.href='/view/jw/board/detail/'+board.id;
            });
            

            $('#boardTable tbody').append($el);
        })
    }


</script>
</body>

</html>
