<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>

<head>
<meta charset="utf-8">

<meta name="viewport"
	content="width=device-width, initial-scale=1.0, minimum-scale=0, maximum-scale=10, user-scalable=yes">
<link rel="stylesheet" href="/web/css/reset.css">
<link rel="stylesheet" href="/web/css/font.css">
<link rel="stylesheet" href="/web/css/common.css">
<!-- js -->
<script src="/web/js/lib/jquery-3.6.0.min.js"></script>
<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/jQuery.serializeObject/2.0.3/jquery.serializeObject.min.js"></script>


</head>
<body>
	<form id="action">
		<input type="hidden" id="boardId" value="${id}" />
		<div class="notice" id="boardBox">
			<div class="row">
				<div class="box">
					<span class="ti">글쓴이</span> <span class="box-input"><input
						id="regUser" name="regUser" type="text" /></span> <input id="updUser"
						name="updUser" type="hidden" />
				</div>
				<div class="box">
					<span class="ti">비밀번호</span> <span class="box-input"><input
						id="password" name="password" type="password" /></span> <input
						id="realPassword" name="realPassword" type="hidden" />
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="ti">번호</span> <span class="box-input"><input
						id="id" name="id" type="number" readonly /></span>
				</div>
				<div class="box">
					<span class="ti">작성일</span> <span class="box-input"><input
						id="regDtm" name="regDtm" type="text" readonly /></span> <input
						id="updDtm" name="updDtm" type="hidden" />
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="ti">제목</span> <span class="box-input"><input
						id="title" name="title" type="text" /></span>
				</div>
			</div>
			<div class="row">
				<div class="box">
					<span class="box-input box-textarea"> <textarea id="content"
							name="content" placeholder="내용을 입력해주세요"></textarea>
					</span>
				</div>
			</div>

			<div class="btn-box">
				<a href="/board/list" class="btn gray">목록</a> <a class="btn black"
					id="submit">수정</a>
			</div>
		</div>
	</form>
</body>
<script type="text/javascript">
	var boardId = $('#boardId').val();

	$(document).ready(function() {
		initLoad();
		setEvent();
	})

	// 초기 데이터 로드
	function initLoad() {
		$.ajax({
			url : "/api/jw/board/detail/" + boardId,
			type : "GET",
			contentType : "application/json; charset=utf-8",
			dataType : 'json',
			success : function(res) {
				var id = res.id;
				var password = res.password
				var title = res.title
				var content = res.content
				var regUser = res.regUser
				var regDtm = res.regDtm
				var updUser = res.updUser
				var updDtm = res.updDtm
				console.log(id);
				$('input[name=id]').attr('value', id)
				$('input[name=realPassword]').attr('value', password)

				$('input[name=title]').attr('value', title)
				$('textarea[name=content]').html(content)

				if (updUser) {
					$('input[name=regUser]').attr('value', updUser)
				} else {
					$('input[name=regUser]').attr('value', regUser)
				}

				$('input[name=regDtm]').attr('value', regDtm)
				$('input[name=updUser]').attr('value', updUser)
				$('input[name=updDtm]').attr('value', updDtm)
			}
		})
	}

	// 이벤트 초기화
	function setEvent() {
		// ?
		$(document).on("click", "#modify", function() {
			checkAll();
		});
		// 수정 btn 클릭 이벤트
		$("#submit").on('click', function() {
			var data = setModify();
			/* 
			$.each($("#action").serializeArray(), function(i, item) {
				data[item.name] = item.value
			})
			 */
// 			console.log(data)
// 			if (!data || !(data instanceof Object)) {
// 				// 				alert('입력 파라미터가 잘못되었습니다.')
// 				return;
// 			}
			data = JSON.stringify(data);
			
			$.ajax({
				url : "/api/jw/board/modify/" + boardId,
				type : "PUT",
				contentType : "application/json; charset=utf-8",
				data : data,
				dataType : 'JSON',
				success : function(res) {
					console.log(res)
						alert("수정성공")
						location.href = "/view/jw/board/detail/" + boardId
					}
				})

			})
		}
	

	// form 데이터 -> object
	function setModify() {
		var boardBox = $('#action');
		var id = boardBox.find('input[id="id"]').val();
		var title = boardBox.find('input[id="title"]').val();
		var content = boardBox.find('textarea[id="content"]').val();
		var realPassword = boardBox.find('input[id="realPassword"]').val();
		var password = boardBox.find('input[id="password"]').val();
		var updUser = boardBox.find('input[id="regUser"]').val();
		//var updDtm = boardBox.find('input[id="regDtm"]').val();
		console.log(realPassword)
		console.log(password)
		if (!(realPassword == password)) {
						alert("비밀번호가 일치하지 않습니다.");
						return;
					}

		var obj = {
			id : id,
			title : title,
			content : content,
			password : password,
			updUser : updUser,
		//updDtm: updDtm
		}
		return obj;
	}
	
</script>
</html>